## FIGURE Figure Window Select and Create Function

Section: Handle-Based Graphics

### Usage

Changes the active figure window to the specified figure number. The general syntax for its use is

      figure(number)

where `number` is the figure number to use. If the figure window corresponding to `number` does not already exist, a new window with this number is created. If it does exist then it is brought to the forefront and made active. You can use `gcf` to obtain the number of the current figure. Note that the figure number is also the handle for the figure. While for most graphical objects (e.g., axes, lines, images), the handles are large integers, for figures, the handle is the same as the figure number. This means that the figure number can be passed to `set` and `get` to modify the properties of the current figure, (e.g., the colormap). So, for figure `3`, for example, you can use `get(3,'colormap')` to retrieve the colormap for the current figure.